
.product-details-card {
  display: block;
  padding: 16px;
  width: 100%;
  
  height:var(--container-height);
  min-height: 500px;
  box-sizing: border-box;
  position: relative;
}

.product-hero {
  height: 40%;
  width: 100%;
  overflow: hidden;
  border-radius: var(--border-radius);
  margin-bottom: 12px;
  position: relative;
}

.product-hero img {
  width: 100%;
.product-details-card {
  display: block;
  padding: 16px;
  width: 100%;
  
  height:var(--container-height);
  min-height: 500px;
  box-sizing: border-box;
  position: relative;
}

.product-hero {
  height: 40%;
  width: 100%;
  overflow: hidden;
  border-radius: var(--border-radius);
  margin-bottom: 12px;
  position: relative;
}

.product-hero img {
  width: 100%;
  height: 100%;
  object-fit: contain; 
  background: var(--card-bg);
}

.product-thumbnails {
  display: flex;
  gap: 8px;
  overflow-x: auto;
  padding: 8px 0;
  
  -webkit-overflow-scrolling: touch;
}

.product-thumbnails img {
  width: 60px;
  height: 60px;
  object-fit: cover;
  border-radius: 6px;
  cursor: pointer;
  border: 2px solid transparent;
}

.product-thumbnails img.active {
  border-color: #ffa800;
}

.product-detail-info {  
  margin-top: 10px;
  padding: 0 4px;
  
  flex-direction: column;
}

.details-subtitle {    
  font-family: 'Courier New', Courier, monospace;
  font-size: 14px;     
  line-height: 1.4;   
}

.product-desc-wrapper{
  flex: 1;
  overflow-y: auto; 
  margin-bottom: 100px;
}

#btn-add-to-cart {
  position: absolute;
  bottom: 16px; 
  left: 16px;   
  right: 16px; 
}

.product-options {
  display: flex;
  align-items: center;
  gap: 10px;
}

#product-price {
  flex: 4 1 0;  
}

#product-variants {
  flex: 3 1 0;  
}

#product-qty {
  flex: 3 1 0;  
}

#product-title {
  flex: 0 0 30%;
  font-size: 16px;
  margin-bottom: 10px;
  margin-top: 0px;
}

  height: 100%;
  object-fit: contain; 
  background: var(--card-bg);
}

.product-thumbnails {
  display: flex;
  gap: 8px;
  overflow-x: auto;
  padding: 8px 0;
  
  -webkit-overflow-scrolling: touch;
}

.product-thumbnails img {
  width: 60px;
  height: 60px;
  object-fit: cover;
  border-radius: 6px;
  cursor: pointer;
  border: 2px solid transparent;
}

.product-thumbnails img.active {
  border-color: #ffa800;
}

.product-detail-info {  
  margin-top: 10px;
  padding: 0 4px;
  
  flex-direction: column;
}

.details-subtitle {    
  font-family: 'Courier New', Courier, monospace;
  font-size: 14px;     
  line-height: 1.4;   
}

.product-desc-wrapper{
  flex: 1;
  overflow-y: auto; 
  margin-bottom: 100px;
}

#btn-add-to-cart {
  position: absolute;
  bottom: 16px; 
  left: 16px;   
  right: 16px; 
}

.product-options {
  display: flex;
  align-items: center;
  gap: 10px;
}

#product-price {
  flex: 4 1 0;  
}

#product-variants {
  flex: 3 1 0;  
}

#product-qty {
  flex: 3 1 0;  
}

#product-title {
  flex: 0 0 30%;
  font-size: 16px;
  margin-bottom: 10px;
  margin-top: 0px;
}
